<!-- Hereda de el template main -->
{% extends 'main.html'%}  {# Herencia #}
<!-- Importar macro -->
{% import 'macros.html' as macro %}

<!--Hereda el bloque de cabecera manteniendo su contenido con la función super() y agregando el link a la hoja de estilo al final del mismo -->
{% block head %}
    {{ super() }} {# Heredar el contenido del bloque bloque #}
    <link rel="stylesheet" href="{{url_for('static', filename='css/style.css')}}"> {# Nuevo contenido del bloque #}
{% endblock %}

{% from "form_macros.html" import show_field, show_submit %}

<!-- Comienza el bloque de contenido y define su contenido -->
{% block content %}

<div class="container">
  <div class="row">
    <div class="col-md-12">
	    <form method="POST" action="{{ url_for('professor.create') }}" >
	      <input type="hidden" name="csrf_token" value="{{ csrf_token() }}"/>
	     	<div class="form-row">
	    		<div class="form-group col-md-6">
	      			{{ show_field(form.firstname, class='form-control' )}}
	    		</div>
	    		<div class="form-group col-md-6">
	      			{{ show_field(form.lastname , class='form-control')}}
	    		</div>
	  		</div>
	  		<div class="form-row">
	    		<div class="form-group col-md-4">
	      			{{ show_field(form.email , class='form-control')}}
	      	</div>
          <div class="form-group col-md-4">
            {{ show_field(form.password , class='form-control')}}
          </div>
          <div class="form-group col-md-4">
            {{ show_field(form.confirm , class='form-control')}}
          </div>
	  		</div>
	  	  <!--Llama a macro especial para mostrar el campo de submit -->
	 			{{ show_submit(form.submit , class='btn btn-success')}}
	  	</form>
  	</div>
  </div>
</div>
{% endblock%}
